#ifndef CTI_DEVCTL_H
#define CTI_DEVCTL_H

// for "devctl()"
#include <devctl.h>
#include <sys/dcmd_chr.h>

// for "open()"
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

typedef union _cti_data_msg {
	unsigned char uc8user[8];
	unsigned char uc4return[4];
} data_t;

typedef struct _cti_devctl_cmd_msg {
		int code;
} cti_devctl_cmd_t;

typedef struct _cti_devctl_data_msg {
		int code;
		data_t	data;
} cti_devctl_data_t;

#define CTI_DEVCTL_BASE      1  // see below
#define CTI_DEVCTL_CMD __DIOTF(_DCMD_MISC, CTI_DEVCTL_BASE + 0, cti_devctl_cmd_t)
#define CTI_DEVCTL_DATA __DIOTF(_DCMD_MISC, CTI_DEVCTL_BASE + 1, cti_devctl_data_t)


#endif