
#include <stdio.h>
#include <stdlib.h>

#include "cti_devctl.h"
#include "ctiioctl.h"


int main( int argc, char** argv ){

	int fd;
	cti_devctl_cmd_t	ctimsg;
	int onflag;
	int ret;

	if( argc != 3 ){
		printf("%s [on|off] [devpath]\n", argv[0] );
		return -1;
	}

	fd = open( argv[2], O_RDONLY  );
	if( fd == -1 ){
		printf("open() failed\n");
		return -1;
	}	

	if( strcmp( argv[1], "on" ) == 0 )
		onflag = 1;
	else
		onflag = 0;

	if( onflag )
		ctimsg.code = CTI_AUTORTS_ON;
	else
		ctimsg.code = CTI_AUTORTS_OFF;
	ret = devctl(fd,CTI_DEVCTL_CMD,&ctimsg,sizeof(cti_devctl_cmd_t),NULL);
	if( ret )
		printf("devctl() failed\n");

	if( onflag )
		ctimsg.code = CTI_DISCARD_ON;
	else
		ctimsg.code = CTI_DISCARD_OFF;
	ret = devctl(fd,CTI_DEVCTL_CMD,&ctimsg,sizeof(cti_devctl_cmd_t),NULL);
	if( ret )
		printf("devctl() failed\n");

	close(fd);
}



